View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000247Ecere SDKecerepublic2009-07-28 18:212013-09-23 07:35
Reporterryanprior 
Assigned Tojerome 
PriorityimmediateSeveritymajorReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44.07Fixed in Version0.44.07 
Summary0000247: DualPipe.GetExitCode() fails after DualPipe.Wait()
DescriptionDualPipe.GetExitCode() needs saved exit code information after calling DualPipe.Wait()
Tagsv0.44d2
Attached Files

- Relationships

-  Notes
(0000233)
jerome (administrator)
2010-07-26 02:07

The windows / UNIX implementations are quite different.
Verify if this is true for both platforms.

The Unix version calls waitpid for GetExitCode!?!?
Should save it when waitpid was first called.

Are we good on Windows with the current implementation?
(0000699)
jerome (administrator)
2013-04-24 04:47

Recently modified by https://github.com/ecere/sdk/commit/6cd1114369d6d1f18adceb4a4e22a9ff6713ca10 [^]

For Testing Suite to return proper value (on Windows)
(0000700)
jerome (administrator)
2013-04-24 05:08

Fixed by https://github.com/ecere/sdk/commit/25505eed8a6e607616f181f64d28ba030d029b3f [^]

- Issue History
Date Modified Username Field Change
2009-07-28 18:21 ryanprior New Issue
2009-07-28 18:22 jerome Priority normal => immediate
2009-07-28 18:22 jerome Severity minor => major
2010-07-07 03:00 redj Target Version => 0.44d2
2010-07-07 04:10 redj Tag Attached: v0.44d2
2010-07-25 21:09 redj Relationship added child of 0000429
2010-07-26 02:07 jerome Note Added: 0000233
2010-07-26 19:19 thexa4 Target Version 0.44d2 => 0.44 draft 2
2012-03-08 15:44 redj Target Version old 0.44.pre2 => 0.45 Ginkakuji
2012-03-08 17:21 redj Relationship deleted child of 0000429
2012-03-29 07:53 redj Category => Ecere Runtime Library
2012-03-29 07:53 redj Project @1@ => Ecere SDK
2013-04-24 04:47 jerome Note Added: 0000699
2013-04-24 05:08 jerome Status new => resolved
2013-04-24 05:08 jerome Fixed in Version => 0.44.1 64
2013-04-24 05:08 jerome Resolution open => fixed
2013-04-24 05:08 jerome Assigned To => jerome
2013-04-24 05:08 jerome Note Added: 0000700
2013-04-25 21:37 jerome Target Version 0.45 Ginkakuji => 0.44.07
2013-05-19 22:15 jerome Status resolved => closed
2013-09-23 07:35 jerome Fixed in Version 0.44.12 Fixes => 0.44.07



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker